Speaking Bots/DELETE

Leave Bot

Remove a bot from a meeting by its ID.

This will:

  1. Call the MeetingBaas API to make the bot leave
  2. Close WebSocket connections if they exist
  3. Terminate the associated Pipecat process
DELETE
/bots/{bot_id}

Authorization

ApiKeyAuth
x-meeting-baas-api-key<token>

MeetingBaas API key for authentication

In: header

Path Parameters

bot_id*string

Request Body

application/json

bot_id?|

The MeetingBaas bot ID to remove from the meeting. This will also close the WebSocket connection made through Pipecat by this bot.

[key: string]?never

Response Body

application/json

application/json

curl -X DELETE "https://speaking.meetingbaas.com/bots/string" \  -H "Content-Type: application/json" \  -d '{}'
{}
Empty
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}
Empty